.solabox p {
    margin: 0; 
    padding: 0;
}

.square_btn {
    display: inline-block;
    padding: 0.5em 1em;
    text-decoration: none;
    color: #67c5ff;
    border: double 4px #67c5ff;
    border-radius: 3px;
    transition: .4s;

}
.square_btn:hover {
    background: #67c5ff;
	 color: #fff;

}

.button_wrapper{
   text-align:center;
}


:target {
 font-size: 24px;
	padding-left: 10px;
	padding-bottom: 2px;
	margin-bottom:20px;
}

:target::after {
  font-size: 24px;
	padding-left: 10px;
	padding-bottom: 2px;
	margin-bottom:20px;
}


#solatextbox {
	margin-bottom: 20px;
	padding-left: auto;
	padding-right: auto;
	font-size:22px;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	font-weight: bold;	/*border-bottom: 1px solid #C7C7C7;*/
	color: #ff002b;
}

#solatextbox2 {
	margin-bottom: 20px;
	padding-left: auto;
	padding-right: auto;
	font-size:22px;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	font-weight: bold;	/*border-bottom: 1px solid #C7C7C7;*/
	color: #ff002b;
}

#solatextbox3 {
	margin-bottom: 20px;
	padding-left: auto;
	padding-right: auto;
	font-size:22px;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	font-weight: bold;	/*border-bottom: 1px solid #C7C7C7;*/
	color: #ff002b;
}

#solatextbox4 {
	margin-bottom: 20px;
	padding-left: auto;
	padding-right: auto;
	font-size:22px;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	font-weight: bold;	/*border-bottom: 1px solid #C7C7C7;*/
	color: #ff002b;
}


.solabox {
    position: relative;
    margin:1em;
    padding:2em;
    border: solid 3px #000;
    border-radius: 8px;
	with:300px
}
ol.sola{
  counter-reset:list;
  list-style-type:none;
  font: 14px/1.6 'arial narrow', sans-serif;
  padding: 0px;
  border: dashed 2px #668ad8;/*破線 太さ 色*/
    background: #f1f8ff; /*背景色*/
	  color: #668ad8;/*文字色*/
}
  
ol.sola li{
  position:relative;
  line-height: 30px;
  margin: 7px 0 7px 40px;
  padding-left: 10px;
  font-weight: bold;
  font-size:14px;
}
  
ol.sola li:before{
  counter-increment: list;
  content: counter(list);
  position: absolute;
  left: -35px;
  width: 30px;
  height: 30px;
  background:  #668ad8;
  text-align: center;
  color: #fff;
  top: 50%;
  -moz-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}


.box29 {
  
	padding:0 0 1em 0;
    background: #ffe699;
}

.box29 .box-title {
    font-size: 1.2em;
    background: #FFC107;
    padding: 4px;
    text-align: center;
    color: #fff;
    font-weight: bold;
    letter-spacing: 0.05em;
}
.box29 p {
        margin:1em;
		
}.box29 {
  
	padding:0 0 1em 0;
    background: #ffe699;
}

.box30 .box-title {
    font-size: 1.2em;
    background: #69cc00;
    padding: 4px;
    text-align: center;
    color: #FFF;
    font-weight: bold;
    letter-spacing: 0.05em;
}
.box30 p {
    margin:1em;
}

.box30 {
  
	padding:0 0 1em 0;
    background: #ceff99;
}

.box25 {
    margin:0.5em;
    padding:0.5em;

}
